Set node tags
Replaces a node's tags. Tags group nodes in lists and filters.
Needs nodes.manage, which owners and admins hold. Available to MCP clients and the assistant.
seylo_session<token>application/json- body
nodeId*stringPanel-issued id.
^[a-z0-9]{16}$tags*array<>items <= 20Success.
application/json- response
id*stringPanel-issued id.
^[a-z0-9]{16}$name*stringLowercase letters, digits, dots and hyphens; unique.
^[a-z0-9][a-z0-9.-]*$1 <= length <= 60location*|nulltags*array<>status*string|string|stringisPanelNode*booleanpublicIpv4*string|nullpublicIpv6*string|nullpublicAddress*string|nullwildcardDomain*string|nullagentVersion*string|nullupdateAvailable*booleancanBuild*booleancanBuildWarning*string|nullmaxParallelBuilds*integer1 <= value <= 16wings*gamesFirstCpu*booleanfacts*|nullusage*|nullserviceCount*integer0 <= valuehealth*lastSeenAt*|nullcreatedAt*stringdate-timeupdatedAt*stringdate-timecurl -X POST 'https://example.com/api/v1/nodes.setTags' \ -H 'Content-Type: application/json' \ -d '{ "nodeId": "string", "tags": [ "string" ]}'{ "id": "string", "name": "string", "location": "string", "tags": [ "string" ], "status": "online", "isPanelNode": true, "publicIpv4": "string", "publicIpv6": "string", "publicAddress": "string", "wildcardDomain": "string", "agentVersion": "string", "updateAvailable": true, "canBuild": true, "canBuildWarning": "string", "maxParallelBuilds": 1, "wings": { "detected": true, "version": "string", "sharedProxy": true }, "gamesFirstCpu": true, "facts": { "hostname": "string", "os": "string", "kernel": "string", "arch": "string", "cpuCores": 0, "memoryTotalBytes": 0, "diskTotalBytes": 0, "diskFreeBytes": 0, "dockerVersion": "string", "cgroupVersion": 0, "bootTime": "2019-08-24T14:15:22Z" }, "usage": { "at": "2019-08-24T14:15:22Z", "cpuPercent": 0, "memoryUsedBytes": 0, "memoryTotalBytes": 0, "diskUsedBytes": 0, "diskTotalBytes": 0, "networkRxBytesPerSec": 0, "networkTxBytesPerSec": 0, "load1": 0 }, "serviceCount": 0, "health": { "checkedAt": "2019-08-24T14:15:22Z", "worst": "pass" }, "lastSeenAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Give game servers CPU priority POST
Next to Pelican Wings only: lowers the CPU weight of this panel's services so game servers win when the CPU is busy. Fails with CONFLICT when Wings is not detected. Needs `nodes.manage`, which owners and admins hold. Available to MCP clients and the assistant.
Update Docker on a node POST
Upgrades Docker Engine with the distribution's package manager. Running containers restart with the daemon. With dryRun it only reports the versions. Needs `nodes.manage`, which owners and admins hold. Available to MCP clients and the assistant.